<?php

namespace Litepci\Compliancetype\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class VersionTransformer extends TransformerAbstract
{
    public function transform(\Litepci\Compliancetype\Models\Version $version)
    {
        return [
            'id'                => $version->getRouteKey(),
            'key'               => [
                'public'    => $version->getPublicKey(),
                'route'     => $version->getRouteKey(),
            ], 
            'id'                => $version->id,
            'name'              => $version->name,
            'slug'              => $version->slug,
            'description'       => $version->description,
            'created_at'        => $version->created_at,
            'updated_at'        => $version->updated_at,
            'deleted_at'        => $version->deleted_at,
            'url'               => [
                'public'    => trans_url('compliancetype/'.$version->getPublicKey()),
                'user'      => guard_url('compliancetype/version/'.$version->getRouteKey()),
            ], 
            'status'            => trans('app.'.$version->status),
            'created_at'        => format_date($version->created_at),
            'updated_at'        => format_date($version->updated_at),
        ];
    }
}